package net.northking.cctp.upperComputer.driver.ios.packet;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class ByteCommandData implements ICommandData {
    public byte aByte;

    public void setaByte(byte aByte) {
        this.aByte = aByte;
    }

    public byte getaByte() {
        return aByte;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        aByte = dataInput.readByte();
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        dataOutput.writeByte(aByte);
    }
}
